XPathExtractor.ResultType (Mule ESB 2.2.1 API)
Keywords: org.mule.module.xml.transformer.XPathExtractor.ResultType class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.mule.module.xml.transformer
Enum XPathExtractor.ResultType

    java.lang.Object
      java.lang.Enum<XPathExtractor.ResultType>
          org.mule.module.xml.transformer.XPathExtractor.ResultType

All Implemented Interfaces:
  Serializable, Comparable<XPathExtractor.ResultType>

Enclosing class:
  XPathExtractor

    public static enum XPathExtractor.ResultType

extends Enum<XPathExtractor.ResultType>

Result type.

Enum Constant Summary
`BOOLEAN`
`NODE`
`NODESET`
`NUMBER`
`STRING`

Method Summary
`static XPathExtractor.ResultType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static XPathExtractor.ResultType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NODESET

    public static final XPathExtractor.ResultType NODESET

### NODE

    public static final XPathExtractor.ResultType NODE

### STRING

    public static final XPathExtractor.ResultType STRING

### BOOLEAN

    public static final XPathExtractor.ResultType BOOLEAN

### NUMBER

    public static final XPathExtractor.ResultType NUMBER

Method Detail

### values

    public static final XPathExtractor.ResultType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(XPathExtractor.ResultType c : XPathExtractor.ResultType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static XPathExtractor.ResultType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.